# Uncomment the next line to define a global platform for your project
# platform :ios, '9.0'

target 'TheClubToken' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!

  # Pods for TheClubToken
 pod 'Alamofire', '~> 4.8'
  pod 'AlamofireImage', '~> 3.5'
  pod 'PopupDialog', '~> 0.7'
  pod 'DropDown', '~> 2.3.4'
  pod 'IQKeyboardManagerSwift', '~> 6.0.4'
  pod 'IHKeyboardAvoiding'
  pod 'Lightbox'
  pod 'SideMenu', '~> 5.0.1'
  pod 'SwiftyJSON'
  pod 'SDWebImage'
  pod 'JVFloatLabeledTextField'
  pod 'CDAlertView'
  pod 'MarqueeLabel'
  pod 'Cosmos'
  pod 'Device', '~> 3.2.1'
  pod 'MaterialCard'
  pod 'SwipeMenuViewController'
  pod 'SVProgressHUD'
  pod 'ReachabilitySwift'
  pod 'CountryPickerView'
  pod 'ExpandableCell'

post_install do |installer|
  installer.pods_project.targets.each do |target|

    if ['DateTimePicker','IHKeyboardAvoiding'].include? target.name
      target.build_configurations.each do |config|
        config.build_settings['SWIFT_VERSION'] = '4.2'

if ['IQKeyboardManagerSwift','MaterialCard'].include? target.name
      target.build_configurations.each do |config|
        config.build_settings['SWIFT_VERSION'] = '4.0'
      end
    end

      end
    end
    
  end
end

end
